Bug 519984 - rhythmbox crashes when you try and start a radio station
Summary: rhythmbox crashes when you try and start a radio station
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 21:20 UTC by Andrew Hecox
Modified: 2009-08-30 05:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-30 05:38:23 UTC


Attachments (Terms of Use)
core fle (2.51 MB, application/x-lzma)
2009-08-27 21:23 UTC, Andrew Hecox
no flags Details

Description Andrew Hecox 2009-08-27 21:20:29 UTC
rhythmbox segfaulted when I tried to listen to a pre-programmed radio station.

Program terminated with signal 11, Segmentation fault.
#0  0x00341e14 in IA__gdk_window_set_geometry_hints (window=0x0, 
    geometry=0xbfb8c2c0, geom_mask=70) at gdkwindow-x11.c:2286
2286	  if (GDK_WINDOW_DESTROYED (window) ||

(gdb) bt
#0  0x00341e14 in IA__gdk_window_set_geometry_hints (window=0x0, 
    geometry=0xbfb8c2c0, geom_mask=70) at gdkwindow-x11.c:2286
#1  0x034546a9 in gtk_window_move_resize (window=<value optimized out>)
    at gtkwindow.c:6159
#2  gtk_window_check_resize (window=<value optimized out>) at gtkwindow.c:5356
#3  0x00b01994 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8652128, 
    return_value=0x0, n_param_values=1, param_values=0x8e55b98, 
    invocation_hint=0xbfb8c4c0, marshal_data=0x3454210) at gmarshal.c:77
#4  0x00af1c9a in g_type_class_meta_marshal (closure=0x8652128, 
    return_value=0x0, n_param_values=1, param_values=0x8e55b98, 
    invocation_hint=0xbfb8c4c0, marshal_data=0x174) at gclosure.c:878
#5  0x00af3643 in IA__g_closure_invoke (closure=0x8652128, return_value=0x0, 
    n_param_values=1, param_values=0x8e55b98, invocation_hint=0xbfb8c4c0)
    at gclosure.c:767
#6  0x00b0a1b6 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=0x8db3e20, emission_return=0x0, 
    instance_and_params=0x8e55b98) at gsignal.c:3285
#7  0x00b0b89d in IA__g_signal_emit_valist (instance=0x8db3e20, signal_id=107, 
    detail=0, 
    var_args=0xbfb8c67c "\210:c\003\210:c\003 >\333\b\250Ƹ\277\342w%\003 >\333\bh\255k\b\250Ƹ\277\212w%\003 m8") at gsignal.c:2980
#8  0x00b0bd57 in IA__g_signal_emit (instance=0x8db3e20, signal_id=107, 
    detail=0) at gsignal.c:3037
---Type <return> to continue, or q <return> to quit---
#9  0x032574aa in IA__gtk_container_check_resize (container=0x8db3e20)
    at gtkcontainer.c:1424
#10 0x032577e2 in gtk_container_idle_sizer (data=0x0) at gtkcontainer.c:1350
#11 0x002e9498 in gdk_threads_dispatch (data=0x8e95480) at gdk.c:501
#12 0x00807292 in g_idle_dispatch (source=0xb670d4b0, callback=0, 
    user_data=0x8e95480) at gmain.c:4065
#13 0x008090a8 in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1960
#14 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#15 0x0080c9d8 in g_main_context_iterate (context=0x864fb50, 
    block=<value optimized out>, dispatch=1, self=0x8602038) at gmain.c:2591
#16 0x0080ce4f in IA__g_main_loop_run (loop=0x87f6578) at gmain.c:2799
#17 0x032f6dd9 in IA__gtk_main () at gtkmain.c:1205
#18 0x080606be in main (argc=1, argv=0xbfb8c9c4) at main.c:332

core is attached.

Comment 1 Andrew Hecox 2009-08-27 21:23:06 UTC
Created attachment 358968 [details]
core fle

Comment 2 Matthias Clasen 2009-08-29 17:37:44 UTC
That stacktrace has nothing rhythmbox-specific in it. Is this reproducible ?

Comment 3 Matthias Clasen 2009-08-29 17:38:35 UTC
And if it is, can you try if using gtk2-2.17.9 and setting the env var
GDK_NATIVE_WINDOWS=1 makes things better ?

Comment 4 Andrew Hecox 2009-08-30 03:21:46 UTC
good call -- it's not reproducible.

If you think it's reasonably likely to be fixed in the a newer gtk2 package, go ahead and close. I'll re-open if it happens again.


Note You need to log in before you can comment on or make changes to this bug.